CreateNetworkMigrationDefinition - ApplicationMigrationService

CreateNetworkMigrationDefinition

Creates a new network migration definition that specifies the source and target network configuration for a migration.

Request Syntax

POST /network-migration/CreateNetworkMigrationDefinition HTTP/1.1 Content-type: application/json { "description": "string", "name": "string", "scopeTags": { "string" : "string" }, "sourceConfigurations": [ { "sourceEnvironment": "string", "sourceS3Configuration": { "s3Bucket": "string", "s3BucketOwner": "string", "s3Key": "string" } } ], "tags": { "string" : "string" }, "targetDeployment": "string", "targetNetwork": { "inboundCidr": "string", "inspectionCidr": "string", "outboundCidr": "string", "topology": "string" }, "targetS3Configuration": { "s3Bucket": "string", "s3BucketOwner": "string" } }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

description

A description of the network migration definition.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 600.

Pattern: [^\x00]*

Required: No

name

The name of the network migration definition.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [^\s\x00]( *[^\s\x00])*

Required: Yes

scopeTags

Scope tags for the network migration definition to control access and organization.

Type: String to string map

Map Entries: Minimum number of 0 items. Maximum number of 40 items.

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Key Pattern: (?!aws:)[a-zA-Z0-9\s+\-=._:/@]*

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Value Pattern: [a-zA-Z0-9\s+\-=._:/@]*

Required: No

sourceConfigurations

A list of source configurations for the network migration.

Type: Array of SourceConfiguration objects

Array Members: Minimum number of 0 items. Maximum number of 2 items.

Required: No

tags

Tags to assign to the network migration definition.

Type: String to string map

Map Entries: Minimum number of 0 items. Maximum number of 50 items.

Key Length Constraints: Minimum length of 0. Maximum length of 256.

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Required: No

targetDeployment

The target deployment configuration for the migrated network.

Type: String

Valid Values: SINGLE_ACCOUNT | MULTI_ACCOUNT

Required: No

targetNetwork

The target network configuration including topology and CIDR ranges.

Type: TargetNetwork object

Required: Yes

targetS3Configuration

The S3 configuration for storing the target network artifacts.

Type: TargetS3Configuration object

Required: Yes

Response Syntax

HTTP/1.1 201 Content-type: application/json { "arn": "string", "createdAt": number, "description": "string", "name": "string", "networkMigrationDefinitionID": "string", "scopeTags": { "string" : "string" }, "sourceConfigurations": [ { "sourceEnvironment": "string", "sourceS3Configuration": { "s3Bucket": "string", "s3BucketOwner": "string", "s3Key": "string" } } ], "tags": { "string" : "string" }, "targetDeployment": "string", "targetNetwork": { "inboundCidr": "string", "inspectionCidr": "string", "outboundCidr": "string", "topology": "string" }, "targetS3Configuration": { "s3Bucket": "string", "s3BucketOwner": "string" }, "updatedAt": number }

Response Elements

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

arn

The Amazon Resource Name (ARN) of the network migration definition.

Type: String

Length Constraints: Minimum length of 20. Maximum length of 2048.

createdAt

The timestamp when the network migration definition was created.

Type: Timestamp

description

A description of the network migration definition.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 600.

Pattern: [^\x00]*

name

The name of the network migration definition.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [^\s\x00]( *[^\s\x00])*

networkMigrationDefinitionID

The unique identifier of the network migration definition.

Type: String

Length Constraints: Fixed length of 21.

Pattern: nmd-[0-9a-zA-Z]{17}

scopeTags

Scope tags for the network migration definition.

Type: String to string map

Map Entries: Minimum number of 0 items. Maximum number of 40 items.

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Key Pattern: (?!aws:)[a-zA-Z0-9\s+\-=._:/@]*

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Value Pattern: [a-zA-Z0-9\s+\-=._:/@]*

sourceConfigurations

A list of source configurations for the network migration.

Type: Array of SourceConfiguration objects

Array Members: Minimum number of 0 items. Maximum number of 2 items.

tags

Tags assigned to the network migration definition.

Type: String to string map

Map Entries: Minimum number of 0 items. Maximum number of 50 items.

Key Length Constraints: Minimum length of 0. Maximum length of 256.

Value Length Constraints: Minimum length of 0. Maximum length of 256.

targetDeployment

The target deployment configuration for the migrated network.

Type: String

Valid Values: SINGLE_ACCOUNT | MULTI_ACCOUNT

targetNetwork

The target network configuration including topology and CIDR ranges.

Type: TargetNetwork object

targetS3Configuration

The S3 configuration for storing the target network artifacts.

Type: TargetS3Configuration object

updatedAt

The timestamp when the network migration definition was last updated.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Errors.

ServiceQuotaExceededException

The request could not be completed because its exceeded the service quota.

quotaCode

Exceeded the service quota code.

quotaValue

Exceeded the service quota value.

resourceId

Exceeded the service quota resource ID.

resourceType

Exceeded the service quota resource type.

serviceCode

Exceeded the service quota service code.

HTTP Status Code: 402

ValidationException

Validate exception.

fieldList

Validate exception field list.

reason

Validate exception reason.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: